Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class RepeatPattern.MonthlyInterval

    java.lang.Object
      portlets.compoze.groupware.RepeatPattern.MonthlyInterval

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  RepeatPattern

public static class RepeatPattern.MonthlyInterval
extends java.lang.Object
implements java.io.Serializable

This class represents the monthly interval. For example, every month, every other month.

See Also:
  Serialized Form

Field Summary
`static RepeatPattern.MonthlyInterval` | `EVERY` This value represents the 'every' repeat interval.
`static RepeatPattern.MonthlyInterval` | `EVERY_EIGHTH` This value represents the 'every eighth' repeat interval.
`static RepeatPattern.MonthlyInterval` | `EVERY_ELEVENTH` This value represents the 'every eleventh' repeat interval.
`static RepeatPattern.MonthlyInterval` | `EVERY_FIFTH` This value represents the 'every fifth' repeat interval.
`static RepeatPattern.MonthlyInterval` | `EVERY_FOURTH` This value represents the 'every fourth' repeat interval.
`static RepeatPattern.MonthlyInterval` | `EVERY_NINTH` This value represents the 'every ninth' repeat interval.
`static RepeatPattern.MonthlyInterval` | `EVERY_OTHER` This value represents the 'every other' repeat interval.
`static RepeatPattern.MonthlyInterval` | `EVERY_SEVENTH` This value represents the 'every seventh' repeat interval.
`static RepeatPattern.MonthlyInterval` | `EVERY_SIXTH` This value represents the 'every sixth' repeat interval.
`static RepeatPattern.MonthlyInterval` | `EVERY_TENTH` This value represents the 'every tenth' repeat interval.
`static RepeatPattern.MonthlyInterval` | `EVERY_THIRD` This value represents the 'every third' repeat interval.
`static RepeatPattern.MonthlyInterval` | `EVERY_TWELFTH` This value represents the 'every twelfth' repeat interval.
`static int` | `VALUE_EVERY` This represents the 'every' value.
`static int` | `VALUE_EVERY_EIGHTH` This represents the 'every eighth' value.
`static int` | `VALUE_EVERY_ELEVENTH` This represents the 'every eleventh' value.
`static int` | `VALUE_EVERY_FIFTH` This represents the 'every fifth' value.
`static int` | `VALUE_EVERY_FOURTH` This represents the 'every fourth' value.
`static int` | `VALUE_EVERY_NINTH` This represents the 'every ninth' value.
`static int` | `VALUE_EVERY_OTHER` This represents the 'every other' value.
`static int` | `VALUE_EVERY_SEVENTH` This represents the 'every seventh' value.
`static int` | `VALUE_EVERY_SIXTH` This represents the 'every sixth' value.
`static int` | `VALUE_EVERY_TENTH` This represents the 'every tenth' value.
`static int` | `VALUE_EVERY_THIRD` This represents the 'every third' value.
`static int` | `VALUE_EVERY_TWELFTH` This represents the 'every twelfth' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static RepeatPattern.MonthlyInterval` | `get(int iValue)` Gets the monthly interval by its value.
`static java.util.List` | `getIntervals()` Gets the list of intervals.
`java.lang.String` | `getKey()` Gets the i18n resource key name.
`int` | `getValue()` Gets the value of the monthly interval.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_EVERY

    public static final int VALUE_EVERY

  This represents the 'every' value.

  See Also:
    Constant Field Values

### VALUE_EVERY_OTHER

    public static final int VALUE_EVERY_OTHER

  This represents the 'every other' value.

  See Also:
    Constant Field Values

### VALUE_EVERY_THIRD

    public static final int VALUE_EVERY_THIRD

  This represents the 'every third' value.

  See Also:
    Constant Field Values

### VALUE_EVERY_FOURTH

    public static final int VALUE_EVERY_FOURTH

  This represents the 'every fourth' value.

  See Also:
    Constant Field Values

### VALUE_EVERY_FIFTH

    public static final int VALUE_EVERY_FIFTH

  This represents the 'every fifth' value.

  See Also:
    Constant Field Values

### VALUE_EVERY_SIXTH

    public static final int VALUE_EVERY_SIXTH

  This represents the 'every sixth' value.

  See Also:
    Constant Field Values

### VALUE_EVERY_SEVENTH

    public static final int VALUE_EVERY_SEVENTH

  This represents the 'every seventh' value.

  See Also:
    Constant Field Values

### VALUE_EVERY_EIGHTH

    public static final int VALUE_EVERY_EIGHTH

  This represents the 'every eighth' value.

  See Also:
    Constant Field Values

### VALUE_EVERY_NINTH

    public static final int VALUE_EVERY_NINTH

  This represents the 'every ninth' value.

  See Also:
    Constant Field Values

### VALUE_EVERY_TENTH

    public static final int VALUE_EVERY_TENTH

  This represents the 'every tenth' value.

  See Also:
    Constant Field Values

### VALUE_EVERY_ELEVENTH

    public static final int VALUE_EVERY_ELEVENTH

  This represents the 'every eleventh' value.

  See Also:
    Constant Field Values

### VALUE_EVERY_TWELFTH

    public static final int VALUE_EVERY_TWELFTH

  This represents the 'every twelfth' value.

  See Also:
    Constant Field Values

### EVERY

    public static final RepeatPattern.MonthlyInterval EVERY

  This value represents the 'every' repeat interval.

### EVERY_OTHER

    public static final RepeatPattern.MonthlyInterval EVERY_OTHER

  This value represents the 'every other' repeat interval.

### EVERY_THIRD

    public static final RepeatPattern.MonthlyInterval EVERY_THIRD

  This value represents the 'every third' repeat interval.

### EVERY_FOURTH

    public static final RepeatPattern.MonthlyInterval EVERY_FOURTH

  This value represents the 'every fourth' repeat interval.

### EVERY_FIFTH

    public static final RepeatPattern.MonthlyInterval EVERY_FIFTH

  This value represents the 'every fifth' repeat interval.

### EVERY_SIXTH

    public static final RepeatPattern.MonthlyInterval EVERY_SIXTH

  This value represents the 'every sixth' repeat interval.

### EVERY_SEVENTH

    public static final RepeatPattern.MonthlyInterval EVERY_SEVENTH

  This value represents the 'every seventh' repeat interval.

### EVERY_EIGHTH

    public static final RepeatPattern.MonthlyInterval EVERY_EIGHTH

  This value represents the 'every eighth' repeat interval.

### EVERY_NINTH

    public static final RepeatPattern.MonthlyInterval EVERY_NINTH

  This value represents the 'every ninth' repeat interval.

### EVERY_TENTH

    public static final RepeatPattern.MonthlyInterval EVERY_TENTH

  This value represents the 'every tenth' repeat interval.

### EVERY_ELEVENTH

    public static final RepeatPattern.MonthlyInterval EVERY_ELEVENTH

  This value represents the 'every eleventh' repeat interval.

### EVERY_TWELFTH

    public static final RepeatPattern.MonthlyInterval EVERY_TWELFTH

  This value represents the 'every twelfth' repeat interval.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the i18n resource key name.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the monthly interval.

  Returns:
    the value

### get

    public static RepeatPattern.MonthlyInterval get(int iValue)

  Gets the monthly interval by its value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching monthly interval or `null` if not found

### getIntervals

    public static java.util.List getIntervals()

  Gets the list of intervals.

  Returns:
    the list of `MonthlyInterval`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument, `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.